<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [limitMaterialProduction](./bitburner.warehouseapi.limitmaterialproduction.md)

## WarehouseAPI.limitMaterialProduction() method

Limit material production.

**Signature:**

```typescript
limitMaterialProduction(divisionName: string, city: CityName, materialName: CorpMaterialName, qty: number): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division. |
|  city | [CityName](./bitburner.cityname.md) | Name of the city. |
|  materialName | [CorpMaterialName](./bitburner.corpmaterialname.md) | Name of the material. |
|  qty | number | Amount to limit to. Pass a negative value to remove the limit instead. |

**Returns:**

void

## Remarks

RAM cost: 20 GB

